#!/usr/bin/env python
# -*- coding: utf-8 -*-

try:
    from setuptools import setup, find_packages
except ImportError:
    import ez_setup
    ez_setup.use_setuptools()
    from setuptools import setup, find_packages

VERSION = __import__('sanza').__version__

setup(
    name='apidev-sanza',
    version=VERSION,
    description='Contacts management',
    packages=find_packages(),
    include_package_data=True,
    author='Luc Jean',
    author_email='ljean@apidev.fr',
    license='CeCILL 2.1',
    zip_safe=False,
    install_requires=[
        'django==1.6.10',
        'djangorestframework==3.1.2',
        'apidev-coop_cms',
        'beautifulsoup4',
        'BeautifulSoup',
        'django-wkhtmltopdf',
        'xlwt',
        'xlrd',
        'django-simple-captcha==0.4.0',
        'django-registration==1.0',
        'model_mommy',
        'django-tastypie',
        'django-cors-headers',
    ],
    long_description=open('README.rst').read(),
    url='https://bitbucket.org/ljean/apidev-sanza',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Intended Audience :: Information Technology',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Framework :: Django',
        'Natural Language :: English',
        'Natural Language :: French',
        'Topic :: Office/Business',
    ],
)

